Create VM
Create a new virtual machine
Create VM URL:
POST https://api.hyperleaf.com/api/vms/create
Request Fields (* required)
server_hostname*
string
server hostname
region*
int
region: 3 (Dallas), 4 (Denver)
project*
string
UUID of project
password
string
root password (required if sshkey blank)
sshkey*
string
name of ssh key (required if password blank)
serverdiversity
string
UUID of server to diversify against
firewall
string
UUID of firewall to apply
network*
string
ID of private network
Prebuilt or Custom
image_type*
string
snapshots OR prebuilt
snapshot_image
string
UUID of snapshot image (if using snapshot)
os
string
prebuilt: 'short' name from /api/os/list cmd
elastic_ip
string
set to nopublic or a specific elastic IP
product*
int
product ID (1-5, 999) 999 for custom specs
Custom VM
Custom product 999
cust_cpus
int
number of CPUs (1-20)
cust_ram
int
amount of RAM (1-96)
cust_storage
int
amount of storage (10-280)
cust_data
int
amount of bandwidth (1000-7000)
Product Field
The product field ID numbers are in the List Products IDs & Prices API list. Each ID number represents specific CPU, RAM, and Storage.
If the product is set to 999, you can custom set the CPU, RAM, Storage and Data wit the cust_cpus, cust_ram, cust_storage and cust_data.
OS Field
The os field is set to the 'short' field from the List Operating Systems API command. Example values are rocky9, ubuntu20, etc.
Elastic_ip Field
The elastic_ip field may be set to an existing unused elastic IP address you have on your account. Elastic IPs allow you to have permanent static IP addresses on your servers, and stay with you permanently when servers are deleted.
If you don't want a public IP on your server at all, you can set elastic_ip=nopublic and no public IP address will be assigned.
Post Example
Response Examples
Last updated